<template>
  <div class="wrapper" :style="wrapperStyle" style="padding-bottom: 70px;">
    <parallax class="page-header header-filter" :style="headerStyle">
      <div class="md-layout">
        <div class="md-layout-item">
          <div class="image-wrapper">
            <div
              class="brand"
              v-for="(homeGallery, key) in homeGalleryList"
              :key="key"
            >
              <div class="parallax" v-if="homeGallery.tahun.tahun == '2020'">
                <p class="h1">
                  <strong>{{ homeGallery.sampul_title }}</strong>
                </p>
                <p class="p1">
                  <strong>{{ homeGallery.sub_title }}</strong>
                </p>
                <p class="p2">{{ homeGallery.keterangan }}</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </parallax>
    <div
      class="main main-raised"
      v-for="(tema, key) in temaList"
      :key="key"
      style="padding-bottom: 50px"
    >
      <div class="section section-basic">
        <div class="container">
          <div class="md-layout md-size-50 mx-auto">
            <div class="md-layout-item">
              <div class="container mx-auto">
                <img
                  :src="tema.tema_image"
                  :class="{ 'responsive-image': responsive }"
                  alt="Circle Image"
                  class="img-raised rounded-raised img-fluid mx-auto"
                  style="border-radius: 15px; width: 800px; height: auto;"
                />
                <h2 class="title" style="text-align: center">
                  {{ tema.tema }}
                </h2>
              </div>
              <div class="name">
                <h4
                  style="text-align: justify; text-justify: inter-word;padding: 0px 40px 0px 40px"
                >
                  <div v-html="tema.deskripsi"></div>
                </h4>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BasicElements from "./components/BasicElementsSection";
import { mapState, mapActions } from "vuex";

export default {
  components: {},
  name: "index",
  bodyClass: "index-page",
  props: {},
  data() {
    return {
      leafShow: false
    };
  },
  methods: {
    ...mapActions("homeGallery", ["getHomeGallery", "getHomeGalleryList"]),
    ...mapActions("tema", ["getTema", "getTemaList"]),
    async onFetchData() {
      await this.getTemaList();
      await this.getTema({ id: "1" });
      await this.getHomeGalleryList();
      await this.getHomeGallery({ id: "1" });
    },
    onResponsiveInverted() {
      if (window.innerWidth < 600) {
        this.responsive = true;
      } else {
        this.responsive = false;
      }
    },
    classicModalHide() {
      this.classicModal = false;
    }
  },
  computed: {
    ...mapState("homeGallery", ["homeGalleryData", "homeGalleryList"]),
    ...mapState("tema", ["temaData", "temaList"]),
    headerStyle() {
      return {
        backgroundImage: `url(${this.homeGalleryData.sampul_image})`
      };
    },
    wrapperStyle() {
      return {
        backgroundImage: `url(${this.temaData.tema_image})`
      };
    }
  },
  // mounted() {
  //   this.leafActive();
  //   window.addEventListener("resize", this.leafActive);
  // },
  // beforeDestroy() {
  //   window.removeEventListener("resize", this.leafActive);
  // },
  async mounted() {
    this.onResponsiveInverted();
    await this.onFetchData();
    // console.log(process.env.VUE_APP_BASE_URL);
    window.addEventListener("resize", this.onResponsiveInverted);
  },
  beforeDestroy() {
    window.removeEventListener("resize", this.onResponsiveInverted);
  }
};
</script>
<style lang="scss">
.section-download {
  .md-button + .md-button {
    margin-left: 5px;
  }
}

@media all and (min-width: 991px) {
  .btn-container {
    display: flex;
  }
}
</style>

<style lang="css">
div.parallax p.h1 {
  font-size: 80px;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
}

div.parallax p.p1 {
  font-size: 35px;
  padding: 20px;
}

div.parallax p.p2 {
  font-size: 27px;
}

@media screen and (max-width: 700px) {
  div.parallax p.h1 {
    font-size: 45px;
  }
  div.parallax p.p1 {
    font-size: 25px;
    padding: 5px;
    line-height: 27px;
  }

  div.parallax p.p2 {
    font-size: 17px;
    line-height: 15px;
  }
}
</style>
